# Class TableSelectControlsComponent

- Defined in packages/angular/material/table-system/src/lib/table-select-controls/table-select-controls.component.ts:25

#####
Index

### Constructors

constructor

### Properties

hasNotSelected$
selectRows
windowRef

### Methods

cancel
select

## Constructors

### constructor

- new TableSelectControlsComponent(selectRows, windowRef): TableSelectControlsComponent

- #### Parameters

  - selectRows: SelectRowService<any>
  - windowRef: WindowRef<any, any>

  #### Returns TableSelectControlsComponent

  - Defined in packages/angular/material/table-system/src/lib/table-select-controls/table-select-controls.component.ts:28

## Properties

### hasNotSelected$

hasNotSelected$: Observable<boolean>

- Defined in packages/angular/material/table-system/src/lib/table-select-controls/table-select-controls.component.ts:26

### `Private` `Readonly` selectRows

selectRows: SelectRowService<any>

- Defined in packages/angular/material/table-system/src/lib/table-select-controls/table-select-controls.component.ts:29

### `Private` `Readonly` windowRef

windowRef: WindowRef<any, any>

- Defined in packages/angular/material/table-system/src/lib/table-select-controls/table-select-controls.component.ts:31

## Methods

### cancel

- cancel(): void

- #### Returns void

  - Defined in packages/angular/material/table-system/src/lib/table-select-controls/table-select-controls.component.ts:38

### select

- select(): void

- #### Returns void

  - Defined in packages/angular/material/table-system/src/lib/table-select-controls/table-select-controls.component.ts:42